﻿@model IEnumerable<Appointments.Entities.Patient>

@{
    ViewBag.Title = "Index";
}

<h2>Index</h2>

@if(User.IsInRole("Admin")){<p>
    @Html.ActionLink("Create New", "Create")
</p>}
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.FirstName)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.LastName)
        </th>
        <th></th>
    </tr>

@if (User.IsInRole("Patient"))
{
    foreach (var item in Model)
    {
        if (User.Identity.Name == item.Username)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.FirstName)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.LastName)
                </td>
                <td>
                    @if (!User.IsInRole("Patient"))
                    { @Html.ActionLink("Edit", "Edit", new
                 {
                     id = item.ID
                 }) } |
                    @Html.ActionLink("Details", "Details", new
               {
                   id = item.ID
               })  |
                    @if (User.IsInRole("Admin"))
                    { @Html.ActionLink("Delete", "Delete", new
                 {
                     id = item.ID
                 })}
                </td>
            </tr>
        }
    }
}
else
{

        foreach (var item in Model)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.FirstName)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.LastName)
                </td>
                <td>
                    @if (!User.IsInRole("Patient"))
                    { @Html.ActionLink("Edit", "Edit", new
                 {
                     id = item.ID
                 }) } |
                    @Html.ActionLink("Details", "Details", new
               {
                   id = item.ID
               })  |
                    @if (User.IsInRole("Admin"))
                    { @Html.ActionLink("Delete", "Delete", new
                 {
                     id = item.ID
                 })}
                </td>
            </tr>
        }}
    </table>
